@import "config/config";

.form_test{
	width: 90vw;
	margin: auto;
	
	.formbody {
	   text-align: left;
	   
	   span.mandatory {
	    /*  color: $kix_green;
	      display: inline;
	      margin-left: 3px;*/
	      display: none;
	   }
	}

	fieldset.radio_container{
		border: 0;
		
		span {
		   margin-left: 30px;
		}
	}

	fieldset.checkbox_container{
		border: none;
	}

	fieldset {
		position: relative;
		margin: 10px;
		border: 1px $kix_green solid;
		
		fieldset {
		   margin: 10px 0;
		   padding: 0;
		   
		   legend {
		      margin-bottom: 15px;
		   }
		}

		.fieldset_overlay{
			position: absolute;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
			background-color: $overlay_grey;
			opacity: 0.8;
			z-index: 1;
			visibility: visible;
			transition: opacity .5s linear;
			
			&.hidden {
			   visibility: hidden;
			   opacity: 0;
			   transition: visibility 0s .5s, opacity .5s linear;
			}
		}
		.fieldset_overlay.overlay-first{
			display: none;
		}
		.fieldset_overlay.overlay-third{
		   margin: auto;
		}

		.submit.btn {
			margin-top: 20px;
			margin-bottom: 20px;
		}
		
		.widget-text {
		   input {
            height: 24px;
            width: 100%;
            border: 1px $light_grey_text solid;
            
            &:focus {
               outline: none;
               border: 1px $kix_green solid;
            }
         }
		}

		.widget-radio {
			span {
				display: block;
				ul {
					list-style-position: inside;
					display: inline-block;
				}
			}
		}

		.widget.error p.error{
			color: red;
		}

		input.checkbox{
			width: 24px;
			height: 24px;
		}
	}
}

@media (min-width: 768px){
	.form_test{
		width: 54vw;
		max-width: 780px;
	}
}